org.modeshape.jcr.query.engine

## Class IndexQueryEngine.ProviderIndexPlanner

- java.lang.Object
- - org.modeshape.jcr.spi.index.provider.IndexPlanner
  - - org.modeshape.jcr.query.engine.IndexQueryEngine.ProviderIndexPlanner

- Enclosing class:
    IndexQueryEngine

      protected static class IndexQueryEngine.ProviderIndexPlanner
      extends IndexPlanner

  A `IndexPlanner` implementation that passes through only those indexes that are owned by the named provider.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `providerName`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `IndexQueryEngine.ProviderIndexPlanner(String providerName, IndexPlanner providerPlanner)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyIndexes(QueryContext context, SelectorName selector, List<Constraint> andedConstraints, Iterable<IndexDefinition> indexesOnSelector, IndexCollector indexes)` Examine the supplied constraints applied to the given selector in a query, and record in the supplied `IndexCollector` any and all indexes in this provider that can be used in this query.
    `String` | `toString()`

    - ### Methods inherited from class org.modeshape.jcr.spi.index.provider.IndexPlanner

      `both`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### providerName

          protected final String providerName

  - ### Constructor Detail

    - #### IndexQueryEngine.ProviderIndexPlanner

          protected IndexQueryEngine.ProviderIndexPlanner(String providerName,
                                               IndexPlanner providerPlanner)

  - ### Method Detail

    - #### applyIndexes

          public void applyIndexes(QueryContext context,
                          SelectorName selector,
                          List<Constraint> andedConstraints,
                          Iterable<IndexDefinition> indexesOnSelector,
                          IndexCollector indexes)

      Description copied from class: `IndexPlanner`
      Examine the supplied constraints applied to the given selector in a query, and record in the supplied `IndexCollector` any and all indexes in this provider that can be used in this query.
      Specified by:
        `applyIndexes` in class `IndexPlanner`
      Parameters:
        `context` - the context in which the query is being executed, provided by ModeShape; never null
        `selector` - the name of the selector against which all of the `andedConstraints` are to be applied; never null
        `andedConstraints` - the immutable list of `Constraint` instances that are all AND-ed and applied against the `selector`; never null but possibly empty
        `indexesOnSelector` - the available index definitions that apply to the node type identified by the named selector; may be null if there are no indexes defined
        `indexes` - the list provided by the caller into which this method should add the index(es), if any, that the query engine might use to satisfy the relevant portion of the query; never null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.